# Interface SchemaValidationResponse<Data>

interface SchemaValidationResponse<Data> {
body?: Data;
data?: Data;
headers: HttpHeaders;
status: number;
}

#### Type Parameters

- Data

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:18

#####
Index

### Properties

body?
data?
headers
status

## Properties

### `Optional` body

body?: Data

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:21

### `Optional` data

data?: Data

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:22

### headers

headers: HttpHeaders

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:19

### status

status: number

- Defined in packages/angular/open-api/src/lib/schema-validation.mixin.ts:20